{
    "[python]": {
        "editor.tabSize": 4,
        "editor.insertSpaces": true,
        "diffEditor.ignoreTrimWhitespace": false,
        "editor.formatOnSave": true,
        "editor.formatOnSaveMode": "file",
        "editor.defaultFormatter": "ms-python.black-formatter",
    },
    "[shellscript]": {
        "editor.tabSize": 4,
        "editor.formatOnSave": true,
        "editor.formatOnSaveMode": "file",
        "editor.defaultFormatter": "foxundermoon.shell-format",
        "files.eol": "\n"
    }

}